Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.37 veröffentlicht (04.11.23)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Update von 8.21 auf 8.33 weiße index-Seite
#11
wenn die Plugins sauber programmiert sind, wird bei einer Deinstallation alles auch wieder entfernt, was vom Plugin irgendwo angelegt wurde. Wenn....

Die meisten warnings werden allerdings eh durch Plugins verursacht, da kommt viel Arbeit auf euch zu, diese auszubessern oder nach vorhandenen Lösungen zu suchen. Viele haben wir schon überarbeitet oder wurden im engl. Board angepasst
Aber auch das MyBB ist noch nicht 100% PHP8 kompatibel; aber alles lässt sich lösen; Zeit und Geduld ...
Zitieren
#12
(29.04.2023, 19:17)bv64 schrieb: wenn die Plugins sauber programmiert sind, wird bei einer Deinstallation alles auch wieder entfernt, was vom Plugin irgendwo angelegt wurde. Wenn....

Die meisten warnings werden allerdings eh durch Plugins verursacht, da kommt viel Arbeit auf euch zu, diese auszubessern oder nach vorhandenen Lösungen zu suchen. Viele haben wir schon überarbeitet oder wurden im engl. Board angepasst
Aber auch das MyBB ist noch nicht 100% PHP8 kompatibel; aber alles lässt sich lösen; Zeit und Geduld ...

Geduld haben die Beiden und den Tatendrang zu tun was getan werden muss, weil sie gerade das Zeitfenster haben

vielen Dank für Eure Hilfe und Geduld
Zitieren
#13
good luck

ich würde trotzdem die Plugins nicht deinstallieren, aber das ist eure Entscheidung
Zitieren
#14
(29.04.2023, 19:49)bv64 schrieb: good luck

ich würde trotzdem die Plugins nicht deinstallieren, aber das ist eure Entscheidung

wir haben die erforderlichen plugins in neuerer Fassung (kompatibel oder nicht werden wir dann sehen) aber wenn wir jetzt versuchen das Fehler belastete zu "reparieren", was ja dann trotzdem mit der Entfernung der Codeschnips für die Plugins zusammen läuft, haben wir ja nichts gewonnen, wenn die Plugins dann "aktiviert" werden könnten, aber die Erweiterungen in den Dateien dann weg wären, die die Fehler verursacht haben, weil die vom Update geänderten die Informationen nicht haben ..

das dreht sich bloß im Kreis wenn wir aber die gefundenen neueren Versionen installieren können, klingt das erstmal nach dem besseren Weg
Zitieren
#15
die gefixten Plugins laufen auch unter PHP7

wenn man Plugins deinstalliert, kann immer etwas verloren gehen, z.B. wenn man das myreactions-Plugin nutzt, sind alle bisher gegebenen BeitragsReaktionen weg

Für ein Update sollte man nur die Plugins deaktivieren über "alle Plugins deaktivieren"
in 6 Jahren hatte ich noch nie Probleme mit einem Update, außer ich habe unkonzentriert Mist gebaut (1* passiert)

Updates sind kein Hexenwerk, PHP8 ist allerdings nervig mit seinen Warnings. Aber wie gesagt, die kann man auch getrost von der Anzeige ausschließen.
Zitieren
#16
(30.04.2023, 09:51)bv64 schrieb: die gefixten Plugins laufen auch unter PHP7

wenn man Plugins deinstalliert, kann immer etwas verloren gehen, z.B. wenn man das myreactions-Plugin nutzt, sind alle bisher gegebenen BeitragsReaktionen weg

Für ein Update sollte man nur die Plugins deaktivieren über "alle Plugins deaktivieren"
in 6 Jahren hatte ich noch nie Probleme mit einem Update, außer ich habe unkonzentriert Mist gebaut (1* passiert)

Updates sind kein Hexenwerk, PHP8 ist allerdings nervig mit seinen Warnings. Aber wie gesagt, die kann man auch getrost von der Anzeige ausschließen.

das denk ich mir, wir haben das jetzt auf 1.8.33 auf PHP7.1 noch alles nutzen können, bei dem hochstellen auf die 8.0.28 mag er uns nicht mehr ..

aber wenn schon geschrieben stand "nicht 100% PHP kompatibel" nach immerhin schon mind. 3 Jahren das es PhP8 gibt .. kann man sich theoretisch die Mühe sparen Fehler zu suchen, weil mit dme nächsten inkompatiblen Update kommen die Fehler wieder ..

wenn mal eine Version dann Php8+ unterstützt und das vollständig, dann wäre das schon nützlicher es dann noch einmal zu versuchen, aktuell krebsen wir an "array"-Problemen rum ..

Code:
if (is_array($plugins_cache) && is_array($plugins_cache['active']) && $plugins_cache['active']['charcount']) {
        $charcount_info['description'] .= @charcount_status();
    }
    return $charcount_info;

sowas nervt doch, ohne aktive Plugins keine Funktion, mit aktiven Plugins kein Update ..

das stinkt denn nach dem Update und PHp8 versucht gibt es nur diese Meldungen:

die Meldung von der startseite haben wir weg aber wenn die Fehler auf der Plugin-Seite bleiben kommen wir da nicht dran die zu aktivieren

mit der Vorahnung das dann die Fehlermeldungen nicht mehr "undefined array" ausgeben werden, weildann ja aktive Plugins erkannt werden und die array aufgelöst werden können


Angehängte Dateien Thumbnail(s)
       
Zitieren
#17
(30.04.2023, 22:59)FlederMaus schrieb: aber wenn schon geschrieben stand "nicht 100% PHP kompatibel" nach immerhin schon mind. 3 Jahren das es PhP8 gibt .. kann man sich theoretisch die Mühe sparen Fehler zu suchen, weil mit dme nächsten inkompatiblen Update kommen die Fehler wieder ..
und wo ist dann das Problem?
Jeder gute Admin führt Buch, wo er wie was geändert hat und warum und kann die paar warnings, die dann vielleicht doch wieder kommen, schnell selbst beheben. Zudem führt man das Update eh immer erst in einer Kopie des eigenen Boards durch um Problemen vorzubeugen und erst wenn man alles geklärt hat im laufenden Forum.

Wer allerdings noch auf 1.8.21 steht und somit seit fast 4 Jahren kein Update mehr gemacht hat, der läuft eh mit einem Board voller Angriffspunkte herum, denn viele Sicherheitslücken wurden im Laufe der Jahre geschlossen.
Ein Board so lange nicht zu updaten ist einfach fahrlässig und damit bin ich raus; ich helfe wirklich gerne, aber diese Diskussion führst du seit Jahren und sie ist Zeitverschwendung für mich, dafür ist mir meine Lebenszeit zu kostbar, sorry!

Viel Glück beim Updaten oder nicht Updaten, mir ist das egal, das ist nicht mein Zirkus!

übernehme bitte jemand anderes...
Zitieren
#18
(30.04.2023, 22:59)FlederMaus schrieb: kann man sich theoretisch die Mühe sparen Fehler zu suchen, weil mit dme nächsten inkompatiblen Update kommen die Fehler wieder ..
Wie stellst du dir das vor? Fehler können nur behoben werden, wenn sie jemand an die Entwickler meldet. Probleme mit PHP 8 haben aktuell hohe Priorität und werden in der Regel bereits mit dem nächsten Update behoben.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Admin-Bereich: Weiße Seite nach Upgrade auf 1.8.31 BEASTIEPENDENT 8 1.188 05.11.2022, 00:05
Letzter Beitrag: BEASTIEPENDENT
Question Nach Installation nur "weiße" Seite mit Text derlange 1 744 16.06.2022, 14:48
Letzter Beitrag: derlange
  Subdomain -> Weiße Seite Fiji 2 1.041 29.10.2021, 20:30
Letzter Beitrag: Fiji
  Weiße Index-Seite nach Update von 1.8.15 auf 1.8.22 Santhony 6 2.112 30.01.2020, 11:20
Letzter Beitrag: Santhony
  Hosterwechsel weiße Seite bromance 7 2.759 21.02.2018, 16:01
Letzter Beitrag: sjfm